Loading...
Searching...
No Matches
gtsam::ClusterTree< GRAPH > Class Template Reference

## Detailed Description

template<class GRAPH>
class gtsam::ClusterTree< GRAPH >

A cluster-tree is associated with a factor graph and is defined as in Koller-Friedman: each node k represents a subset \( C_k \sub X \), and the tree is family preserving, in that each factor \( f_i \) is associated with a single cluster and \( scope(f_i) \sub C_k \).

Inheritance diagram for gtsam::ClusterTree< GRAPH >:

## Standard Constructors

| ClusterTree (const This &other)
| Copy constructor - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.

## Details

This & | operator= (const This &other)
| Assignment operator - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.

## Testable

void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| Print the cluster tree.

## Advanced Interface

void | addRoot (const boost::shared_ptr< Cluster > &cluster)
void | addChildrenAsRoots (const boost::shared_ptr< Cluster > &cluster)
size_t | nrRoots () const
const FastVector< sharedNode > & | roots () const
| Return the set of roots (one for a tree, multiple for a forest).
const Cluster & | operator[] (size_t i) const

## Public Member Functions

| ClusterTree ()
| Default constructor.

## Public Types

typedef GRAPH | FactorGraphType
| The factor graph type.
typedef ClusterTree< GRAPH > | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
typedef GRAPH::FactorType | FactorType
| The type of factors.
typedef boost::shared_ptr< FactorType > | sharedFactor
| Shared pointer to a factor.
typedef boost::shared_ptr< Cluster > | sharedCluster
| Shared pointer to Cluster.
typedef Cluster | Node
typedef sharedCluster | sharedNode

## Classes

struct | Cluster
| A Cluster is just a collection of factors. More...

## Protected Attributes

FastVector< sharedNode > | roots_
| concept check

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/ClusterTree.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/ClusterTree-inst.h